#!/bin/bash

mkdir -p transformers_for_SAG
cd ~/transformers_for_SAG
eval $(ssh-agent -s)
ssh-add ~/.ssh/gitlab_profile
git init
git pull git@transfer.hft-stuttgart.de:61sima1bif/transformers-for-sag.git
echo "loading virtual environment"
eval "$(conda shell.bash hook)"
conda env create -f environment.yml
echo "activating new environment"
conda activate env_transformers_for_SAG
echo "running python code"
python run_SAG.py --do_eval --data_dir data/glue_data/SST-2 --model_type bert --model_name_or_path 'bert-base-uncased' --task_name sst-2 --output_dir output
